  DROP TABLE "ADVUSER"."WMB_MSGS";

  CREATE TABLE "ADVUSER"."WMB_MSGS" 
   ("WMB_MSGKEY" VARCHAR2(100 BYTE) NOT NULL ENABLE, 
	"TRANSAC_NAME" VARCHAR2(100 BYTE), 
	"EVENT_NAME" VARCHAR2(100 BYTE), 
	"EVENT_TYPE" VARCHAR2(1 BYTE), 
	"MSGFLOW_NAME" VARCHAR2(100 BYTE), 
	"APPL_NAME" VARCHAR2(100 BYTE), 
	"NODE_NAME" VARCHAR2(100 BYTE), 
	"NODE_TYPE" VARCHAR2(100 BYTE), 
	"TERMINAL_NAME" VARCHAR2(100 BYTE), 
	"EVENT_TIMESTAMP" TIMESTAMP (6), 
	"GLOBAL_TRANSACTION_ID" VARCHAR2(100 BYTE), 
	"IN_IS" VARCHAR2(100 BYTE), 
	"APPL_DATA" VARCHAR2(1000 BYTE), 
	CONSTRAINT "WMB_MSGS_PK" PRIMARY KEY ("WMB_MSGKEY"));

  DROP TABLE "ADVUSER"."WMB_BUSTRANS";

  CREATE TABLE "ADVUSER"."WMB_BUSTRANS" 
   ("GLOBAL_TRANSACTION_ID" VARCHAR2(100 BYTE) NOT NULL ENABLE, 
	"TRANSAC_NAME" VARCHAR2(100 BYTE), 
	"START_TIMESTAMP" TIMESTAMP (6), 
	"END_TIMESTAMP" TIMESTAMP (6), 
	"STATUS" VARCHAR2(1 BYTE), 
	"IN_IS_S" VARCHAR2(100 BYTE), 
	"IN_IS_E" VARCHAR2(100 BYTE), 
	"IN_IS_P" VARCHAR2(1000 BYTE), 
	"LAST_UPDT_TIMESTAMP" TIMESTAMP (6), 
	"LAST_DATA_UPDT_TSP" TIMESTAMP (6), 
	"APPL_DATA" VARCHAR2(1000 BYTE), 
	CONSTRAINT "WMB_BUSTRANS_PK" PRIMARY KEY ("GLOBAL_TRANSACTION_ID"));

  DROP INDEX "ADVUSER"."WMB_BTRN_IDX";

  CREATE UNIQUE INDEX "ADVUSER"."WMB_BTRN_IDX" ON "ADVUSER"."WMB_BUSTRANS" ("GLOBAL_TRANSACTION_ID", "TRANSAC_NAME", "START_TIMESTAMP", "END_TIMESTAMP", "STATUS", "IN_IS_S", "IN_IS_E");
  